Package fr.gouv.vitam.batch.report.model

# Class TraceabilityObjectModel

java.lang.Object
fr.gouv.vitam.batch.report.model.TraceabilityObjectModel

public class TraceabilityObjectModel extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `METADATA`
  `static final String`
  `PROCESS_ID`
  `static final String`
  `TENANT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TraceabilityObjectModel()`
  `TraceabilityObjectModel(String processId, TraceabilityReportEntry metadata, int tenant)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceabilityReportEntry`
  `getMetadata()`
  `String`
  `getProcessId()`
  `int`
  `getTenant()`
  `TraceabilityObjectModel`
  `setMetadata(TraceabilityReportEntry metadata)`
  `TraceabilityObjectModel`
  `setProcessId(String processId)`
  `TraceabilityObjectModel`
  `setTenant(int tenant)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROCESS_ID

    public static final String PROCESS_ID
    See Also:
      - Constant Field Values

  - ### TENANT

    public static final String TENANT
    See Also:
      - Constant Field Values

  - ### METADATA

    public static final String METADATA
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TraceabilityObjectModel

    public TraceabilityObjectModel()

  - ### TraceabilityObjectModel

    public TraceabilityObjectModel(String processId, TraceabilityReportEntry metadata, int tenant)

- ## Method Details

  - ### getProcessId

    public String getProcessId()

  - ### setProcessId

    public TraceabilityObjectModel setProcessId(String processId)

  - ### getMetadata

    public TraceabilityReportEntry getMetadata()

  - ### setMetadata

    public TraceabilityObjectModel setMetadata(TraceabilityReportEntry metadata)

  - ### getTenant

    public int getTenant()

  - ### setTenant

    public TraceabilityObjectModel setTenant(int tenant)